//
// Created by bastian on 01.04.22.
//

#ifndef BUILD_INTERRUPTABLESEQUENCE_H
#define BUILD_INTERRUPTABLESEQUENCE_H

#include <behaviortree_cpp_v3/control_node.h>

namespace BT {
    class InterruptableSequence : public ControlNode{
    public:
        InterruptableSequence(const std::string &name, const NodeConfiguration &config);

        ~InterruptableSequence() override = default;

        void halt() override;

        static PortsList providedPorts();

        BT::NodeStatus tick() override;

    private:
        unsigned long position=0;
    };
}


#endif //BUILD_INTERRUPTABLESEQUENCE_H
